Bug 111720 - Area tab: Improve bitmap page's preview picture
Summary: Area tab: Improve bitmap page's preview picture
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2017-08-12 11:42 UTC by Tamás Zolnai
Modified: 2018-10-22 02:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the actual preview (160.16 KB, image/png)
2017-08-12 11:45 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-12 11:42:49 UTC
Description:
The preview on the bitmap page of area tab is not always useful. For example when setting Original bitmap type and change the position, I see the result of changing horizontal position, but can't see the right result when changing the vertical postion, because on the preview there is no empty space below or above the picture.

Steps to Reproduce:
1. Create a shape
2. Open Area tab -> Bitmap page
3. Select an image
4. Set type to Original
5. Change positioning

Actual Results:  
Horizontal positions has a good preview, but vertical positions don't.

Expected Results:
On the preview picture empty space should be added also bellow\above the picture to make it visible when vertical position changes (similar to horizontal spaces)


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Tamás Zolnai 2017-08-12 11:45:22 UTC
Created attachment 135485 [details]
Screenshot of the actual preview
Comment 2 Buovjaga 2017-08-30 12:29:52 UTC
OK, NEW
Comment 3 Heiko Tietze 2017-08-31 15:05:47 UTC
In https://design.blog.documentfoundation.org/2015/12/22/area-fill-options-made-consistent/ figure 7 the bitmap placement is indicated with icons, additionally to the preview. Since we have a mix of legacy features and new workflow (that is also not fully implemented) it would need some rethinking however. This issue here is likely not yet/not fully implemented.
Comment 4 QA Administrators 2018-10-22 02:49:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug